/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class ObjectEditorDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ObjectEditorData {

    private int rating;

    private int actionId;

    private String moduleName;

    private String moduleFunctionName;

    private String objectStructName;

    public ObjectEditorDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getRating() {
        return rating;
    }

    public int setRating(int rating) {
        this.rating = rating;

        return getRating();
    }

    public int getActionId() {
        return actionId;
    }

    public int setActionId(int actionId) {
        this.actionId = actionId;

        return getActionId();
    }

    public String getModuleName() {
        return moduleName;
    }

    public String setModuleName(String moduleName) {
        this.moduleName = moduleName;

        return getModuleName();
    }

    public String getModuleFunctionName() {
        return moduleFunctionName;
    }

    public String setModuleFunctionName(String moduleFunctionName) {
        this.moduleFunctionName = moduleFunctionName;

        return getModuleFunctionName();
    }

    public String getObjectStructName() {
        return objectStructName;
    }

    public String setObjectStructName(String objectStructName) {
        this.objectStructName = objectStructName;

        return getObjectStructName();
    }

}
