/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public interface DriverParameterData extends com.mysql.grt.GrtObjectData {

    public int getRequired();

    public int setRequired(int required);

    public int getLayoutAdvanced();

    public int setLayoutAdvanced(int layoutAdvanced);

    public int getLayoutRow();

    public int setLayoutRow(int layoutRow);

    public int getLayoutWidth();

    public int setLayoutWidth(int layoutWidth);

    public String getCaption();

    public String setCaption(String caption);

    public String getDescription();

    public String setDescription(String description);

    public String getParamType();

    public String setParamType(String paramType);

    public String getDefaultValue();

    public String setDefaultValue(String defaultValue);

    public String getLookupValueModule();

    public String setLookupValueModule(String lookupValueModule);

    public String getLookupValueMethod();

    public String setLookupValueMethod(String lookupValueMethod);

    public com.mysql.grt.GrtStringHashMap getParamTypeDetails();

    public com.mysql.grt.GrtStringHashMap setParamTypeDetails(com.mysql.grt.GrtStringHashMap paramTypeDetails);

}
