/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public interface MethodData extends com.mysql.grt.GrtObjectData {

    public int getRating();

    public int setRating(int rating);

    public String getModuleName();

    public String setModuleName(String moduleName);

    public String getCaption();

    public String setCaption(String caption);

    public String getDesc();

    public String setDesc(String desc);

    public String getSourceStructName();

    public String setSourceStructName(String sourceStructName);

    public String getTargetPackageName();

    public String setTargetPackageName(String targetPackageName);

    public com.mysql.grt.GrtStringHashMap getParams();

    public com.mysql.grt.GrtStringHashMap setParams(com.mysql.grt.GrtStringHashMap params);

    public com.mysql.grt.db.migration.ParameterGroupList getParamGroups();

    public com.mysql.grt.db.migration.ParameterGroupList setParamGroups(com.mysql.grt.db.migration.ParameterGroupList paramGroups);

}
