/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mssql;

public class IndexDataLocal extends com.mysql.grt.db.IndexDataLocal implements IndexData {

    private int ignoreDuplicateRows;

    private int clustered;

    public IndexDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getIgnoreDuplicateRows() {
        return ignoreDuplicateRows;
    }

    public int setIgnoreDuplicateRows(int ignoreDuplicateRows) {
        this.ignoreDuplicateRows = ignoreDuplicateRows;

        return getIgnoreDuplicateRows();
    }

    public int getClustered() {
        return clustered;
    }

    public int setClustered(int clustered) {
        this.clustered = clustered;

        return getClustered();
    }

}
