/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.query;

public interface QueryParameterData extends com.mysql.grt.GrtObjectData {

    public int getValueInt();

    public int setValueInt(int valueInt);

    public double getValueReal();

    public double setValueReal(double valueReal);

    public String getParamType();

    public String setParamType(String paramType);

    public String getValueStr();

    public String setValueStr(String valueStr);

    public String getMasterColumnName();

    public String setMasterColumnName(String masterColumnName);

    public com.mysql.grt.db.query.Query getMasterQuery();

    public com.mysql.grt.db.query.Query setMasterQuery(com.mysql.grt.db.query.Query masterQuery);

    public String getMasterQueryById();

    public void setMasterQueryById(String masterQuery);

}
