/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class MarkerDataLocal extends com.mysql.grt.GrtObjectDataLocal implements MarkerData {

    private int x;

    private int y;

    private double zoom;

    private String view;

    public MarkerDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getX() {
        return x;
    }

    public int setX(int x) {
        this.x = x;

        return getX();
    }

    public int getY() {
        return y;
    }

    public int setY(int y) {
        this.y = y;

        return getY();
    }

    public double getZoom() {
        return zoom;
    }

    public double setZoom(double zoom) {
        this.zoom = zoom;

        return getZoom();
    }

    public com.mysql.grt.GrtObject getView() {
        return (com.mysql.grt.GrtObject) com.mysql.grt.Grt.getInstance().getObjectByRefId(view);
    }

    public com.mysql.grt.GrtObject setView(com.mysql.grt.GrtObject view) {
        this.view = view.get_id();
        return getView();
    }

    public String getViewById() {
        return view;
    }

    public void setViewById(String view) {
        this.view = view;
    }

}
