/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public interface FigureElementData extends com.mysql.grt.GrtObjectData {

    public int getResizable();

    public int setResizable(int resizable);

    public int getExpanded();

    public int setExpanded(int expanded);

    public double getConstraintMaxHeight();

    public double setConstraintMaxHeight(double constraintMaxHeight);

    public double getConstraintMaxWidth();

    public double setConstraintMaxWidth(double constraintMaxWidth);

    public double getConstraintMinHeight();

    public double setConstraintMinHeight(double constraintMinHeight);

    public double getConstraintMinWidth();

    public double setConstraintMinWidth(double constraintMinWidth);

    public String getLayout();

    public String setLayout(String layout);

    public String getStyle();

    public String setStyle(String style);

    public com.mysql.grt.GrtHashMap getCaption();

    public com.mysql.grt.GrtHashMap setCaption(com.mysql.grt.GrtHashMap caption);

    public com.mysql.grt.canvas.FigureElementList getChildren();

    public com.mysql.grt.canvas.FigureElementList setChildren(com.mysql.grt.canvas.FigureElementList children);

}
