/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public interface DatabaseSyncObjectData extends com.mysql.grt.GrtObjectData {

    public int getChanged();

    public int setChanged(int changed);

    public int getAlterDirection();

    public int setAlterDirection(int alterDirection);

    public com.mysql.grt.base.ObjectLogList getSyncLog();

    public com.mysql.grt.base.ObjectLogList setSyncLog(com.mysql.grt.base.ObjectLogList syncLog);

    public com.mysql.grt.base.NamedGrtObject getModelObject();

    public com.mysql.grt.base.NamedGrtObject setModelObject(com.mysql.grt.base.NamedGrtObject modelObject);

    public String getModelObjectById();

    public void setModelObjectById(String modelObject);

    public com.mysql.grt.base.NamedGrtObject getDbObject();

    public com.mysql.grt.base.NamedGrtObject setDbObject(com.mysql.grt.base.NamedGrtObject dbObject);

    public String getDbObjectById();

    public void setDbObjectById(String dbObject);

    public com.mysql.grt.db.DatabaseSyncObjectList getChildren();

    public com.mysql.grt.db.DatabaseSyncObjectList setChildren(com.mysql.grt.db.DatabaseSyncObjectList children);

}
