/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public interface ForeignKeyData extends com.mysql.grt.base.NamedGrtObjectData {

    public int getDeferability();

    public int setDeferability(int deferability);

    public String getDeleteRule();

    public String setDeleteRule(String deleteRule);

    public String getUpdateRule();

    public String setUpdateRule(String updateRule);

    public String getReferedTableSchemaName();

    public String setReferedTableSchemaName(String referedTableSchemaName);

    public String getReferedTableName();

    public String setReferedTableName(String referedTableName);

    public com.mysql.grt.GrtStringList getReferedColumnNames();

    public com.mysql.grt.GrtStringList setReferedColumnNames(com.mysql.grt.GrtStringList referedColumnNames);

    public com.mysql.grt.db.Table getReferedTable();

    public com.mysql.grt.db.Table setReferedTable(com.mysql.grt.db.Table referedTable);

    public String getReferedTableById();

    public void setReferedTableById(String referedTable);

    public com.mysql.grt.db.ColumnList getColumns();

    public com.mysql.grt.db.ColumnList setColumns(com.mysql.grt.db.ColumnList columns);

    public com.mysql.grt.db.ColumnList getReferedColumns();

    public com.mysql.grt.db.ColumnList setReferedColumns(com.mysql.grt.db.ColumnList referedColumns);

}
