/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public interface ActionData extends com.mysql.grt.GrtObjectData {

    public int getAutoCheck();

    public int setAutoCheck(int autoCheck);

    public int getChecked();

    public int setChecked(int checked);

    public int getEnabled();

    public int setEnabled(int enabled);

    public int getGroupIndex();

    public int setGroupIndex(int groupIndex);

    public int getImageIndex();

    public int setImageIndex(int imageIndex);

    public int getVisible();

    public int setVisible(int visible);

    public String getCaption();

    public String setCaption(String caption);

    public String getShortcut();

    public String setShortcut(String shortcut);

    public String getEventOnExecute();

    public String setEventOnExecute(String eventOnExecute);

    public String getEventOnUpdate();

    public String setEventOnUpdate(String eventOnUpdate);

}
